SSO
9 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getExternalUserGroupList | GET | Get external user group list |
| createExternalUserGroup | POST | Create new external user group |
| deleteExternalUserGroup | DELETE | Delete an existing external user group |
| modifyExternalUserGroup | PUT | Modify an existing external user group |
| getExternalUserList | GET | Get external user list |
| getIdpMetadataList | GET | Get idp list |
| createIdpMetadata | POST | Create new idp |
| deleteIdpMetadata | DELETE | Delete an existing idp |
| modifyIdpMetadata | PUT | Modify an existing idp |
getExternalUserGroupList
GET /openapi/v1/{omadacId}/sso/external-user-groups
Get external user group list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
sorts.name | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
searchKey | query | string | no | Fuzzy query parameters, support field name |
// omada_call_operation
{
"operationId": "getExternalUserGroupList"
}Details, permissions and error codes
Get external user group list.
The interface requires one of the permissions:
Global Saml Roles Manager View Only
createExternalUserGroup
POST /openapi/v1/{omadacId}/sso/external-user-groups
Create new external user group
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema ExternalUserGroupOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | External user group name should contain 1 to 128 characters. |
roleId | string | yes | Role ID which can be obtained from 'Get role list' interface. |
allSite | boolean | yes | Whether having all site permissions. |
sites | array<string> | no | The site IDs that can be accessed. Effective when allSite is false. |
temporaryEnable | boolean | no | Whether the user wants to enable the temporary worker permission |
startTime | integer | no | The start time of the user's validity period. time range: start timestamp (Millisecond). |
endTime | integer | no | The end time of the user's validity period. time range: end timestamp (Millisecond). |
// omada_call_operation
{
"operationId": "createExternalUserGroup",
"body": "{...}"
}Details, permissions and error codes
Create new external user group.
The interface requires one of the permissions:
Global Saml Roles Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30102 - This role does not exist.
-30172 - The SAML User Group name already exists.
-30179 - The SAML User Group number has reached the upper limit.
deleteExternalUserGroup
DELETE /openapi/v1/{omadacId}/sso/external-user-groups/{externalUserGroupId}
Delete an existing external user group
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
externalUserGroupId | path | string | yes | External user group ID |
// omada_call_operation
{
"operationId": "deleteExternalUserGroup",
"params": {
"externalUserGroupId": "<externalUserGroupId>"
}
}Details, permissions and error codes
Delete an existing external user group.
The interface requires one of the permissions:
Global Saml Roles Manager Modify
modifyExternalUserGroup
PUT /openapi/v1/{omadacId}/sso/external-user-groups/{externalUserGroupId}
Modify an existing external user group
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
externalUserGroupId | path | string | yes | External user group ID |
Request body — application/json (required) — schema ExternalUserGroupOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | External user group name should contain 1 to 128 characters. |
roleId | string | yes | Role ID which can be obtained from 'Get role list' interface. |
allSite | boolean | yes | Whether having all site permissions. |
sites | array<string> | no | The site IDs that can be accessed. Effective when allSite is false. |
temporaryEnable | boolean | no | Whether the user wants to enable the temporary worker permission |
startTime | integer | no | The start time of the user's validity period. time range: start timestamp (Millisecond). |
endTime | integer | no | The end time of the user's validity period. time range: end timestamp (Millisecond). |
// omada_call_operation
{
"operationId": "modifyExternalUserGroup",
"params": {
"externalUserGroupId": "<externalUserGroupId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing external user group.
The interface requires one of the permissions:
Global Saml Roles Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30102 - This role does not exist.
-30172 - The SAML User Group name already exists.
getExternalUserList
GET /openapi/v1/{omadacId}/sso/external-users
Get external user list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
sorts.userName | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
searchKey | query | string | no | Fuzzy query parameters, support field userName |
// omada_call_operation
{
"operationId": "getExternalUserList"
}Details, permissions and error codes
Get external user list.
The interface requires one of the permissions:
Global Saml Users Manager View Only
getIdpMetadataList
GET /openapi/v1/{omadacId}/sso/saml-idps
Get idp list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
sorts.idpName | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
// omada_call_operation
{
"operationId": "getIdpMetadataList"
}Details, permissions and error codes
Get idp list.
The interface requires one of the permissions:
Global Saml SSO Manager View Only
createIdpMetadata
POST /openapi/v1/{omadacId}/sso/saml-idps
Create new idp
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema IdpMetadataOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | IdP name should contain 1 to 32 characters. |
description | string | no | IdP description should contain 0 to 128 characters. |
entityId | string | yes | The IdP entity id which must be unique in same Omadac. |
loginUrl | string | yes | Login url |
x509Certificate | string | yes | BASE64 encoded string of x509 certificate. |
// omada_call_operation
{
"operationId": "createIdpMetadata",
"body": "{...}"
}Details, permissions and error codes
Create new idp.
The interface requires one of the permissions:
Global Saml SSO Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30170 - The SAML sso metadata entityId already exists.
-30171 - The SAML sso metadata name already exist.
-30178 - The SAML sso number has reached the upper limit.
deleteIdpMetadata
DELETE /openapi/v1/{omadacId}/sso/saml-idps/{idpId}
Delete an existing idp
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
idpId | path | string | yes | IdP ID |
// omada_call_operation
{
"operationId": "deleteIdpMetadata",
"params": {
"idpId": "<idpId>"
}
}Details, permissions and error codes
Delete an existing idp.
The interface requires one of the permissions:
Global Saml SSO Manager Modify
modifyIdpMetadata
PUT /openapi/v1/{omadacId}/sso/saml-idps/{idpId}
Modify an existing idp
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
idpId | path | string | yes | IdP id |
Request body — application/json (required) — schema IdpMetadataOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | IdP name should contain 1 to 32 characters. |
description | string | no | IdP description should contain 0 to 128 characters. |
entityId | string | yes | The IdP entity id which must be unique in same Omadac. |
loginUrl | string | yes | Login url |
x509Certificate | string | yes | BASE64 encoded string of x509 certificate. |
// omada_call_operation
{
"operationId": "modifyIdpMetadata",
"params": {
"idpId": "<idpId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing idp.
The interface requires one of the permissions:
Global Saml SSO Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30170 - The SAML sso metadata entityId already exists.
-30171 - The SAML sso metadata name already exist.